com.trendmicro.ds.platform.rest.object.sessions

## Class AssumeRoleWithSAMLRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.sessions.AssumeRoleWithSAMLRequest

-     public class AssumeRoleWithSAMLRequest
      extends java.lang.Object

  Request object for the AssumeRoleWithSAML API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssumeRoleWithSAMLRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIdentityProvider()` Get the identity provider URN on the Deep Security Manager.
    `java.lang.String` | `getRole()` Get the role URN on the Deep Security Manager.
    `java.lang.String` | `getSAML()` Get the Base64-encoded SAML 2.0 response from the identity provider.
    `void` | `setIdentityProvider(java.lang.String identityProvider)` Set the identity provider URN on the Deep Security Manager.
    `void` | `setRole(java.lang.String role)` Set the role URN on the Deep Security Manager.
    `void` | `setSAML(java.lang.String saml)` Set the Base64-encoded SAML 2.0 response from the identity provider.
    `AssumeRoleWithSAMLRequest` | `withIdentityProvider(java.lang.String identityProvider)` Set the identity provider URN on the Deep Security Manager.
    `AssumeRoleWithSAMLRequest` | `withRole(java.lang.String role)` Set the role URN on the Deep Security Manager.
    `AssumeRoleWithSAMLRequest` | `withSAML(java.lang.String saml)` Set the Base64-encoded SAML 2.0 response from the identity provider.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssumeRoleWithSAMLRequest

          public AssumeRoleWithSAMLRequest()

  - ### Method Detail

    - #### getSAML

          public java.lang.String getSAML()

      Get the Base64-encoded SAML 2.0 response from the identity provider.
      Returns:
        the Base64-encoded SAML 2.0 response from the identity provider.

    - #### setSAML

          public void setSAML(java.lang.String saml)

      Set the Base64-encoded SAML 2.0 response from the identity provider.
      Parameters:
        `saml` - the Base64-encoded SAML 2.0 response from the identity provider.

    - #### withSAML

          public AssumeRoleWithSAMLRequest withSAML(java.lang.String saml)

      Set the Base64-encoded SAML 2.0 response from the identity provider.
      Parameters:
        `saml` - the Base64-encoded SAML 2.0 response from the identity provider.
      Returns:
        the updated `AssumeRoleWithSAMLRequest` object.

    - #### getIdentityProvider

          public java.lang.String getIdentityProvider()

      Get the identity provider URN on the Deep Security Manager.
      Returns:
        the identity provider URN on the Deep Security Manager.

    - #### setIdentityProvider

          public void setIdentityProvider(java.lang.String identityProvider)

      Set the identity provider URN on the Deep Security Manager.
      Parameters:
        `identityProvider` - the identity provider URN on the Deep Security Manager.

    - #### withIdentityProvider

          public AssumeRoleWithSAMLRequest withIdentityProvider(java.lang.String identityProvider)

      Set the identity provider URN on the Deep Security Manager.
      Parameters:
        `identityProvider` - the identity provider URN on the Deep Security Manager.
      Returns:
        the updated `AssumeRoleWithSAMLRequest` object.

    - #### getRole

          public java.lang.String getRole()

      Get the role URN on the Deep Security Manager.
      Returns:
        the role URN on the Deep Security Manager.

    - #### setRole

          public void setRole(java.lang.String role)

      Set the role URN on the Deep Security Manager.
      Parameters:
        `role` - the role URN on the Deep Security Manager.

    - #### withRole

          public AssumeRoleWithSAMLRequest withRole(java.lang.String role)

      Set the role URN on the Deep Security Manager.
      Parameters:
        `role` - the role URN on the Deep Security Manager.
      Returns:
        the updated `AssumeRoleWithSAMLRequest` object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.